﻿
.shopItemCTA {
    padding-bottom: 10px;
    padding-top: 10px;
}

.shopItemCTA .AddToCartOuter {
    height: auto;
    width: 200px;
    max-width: none;
}

.shopItemCTA .AddToCart {
    height: auto;
    padding: 12px 50px;
    width: auto;
    max-width: none;
    font-size: 14px;
    font-weight: 700;
    padding-top: 15px;
}

.Clickable {
    cursor: pointer;
}

.ClickableLink {
    cursor: pointer;
}

.AddToCartOuter,
.ReadMoreOuter {
    height: 34px;
    width: 100%;
}

.ItemDetails .AddToCartOuter {
    float: none;
}

.PriceAndAddToCart > div.AddToCartOuter.false {
    display: none;
}

.AddToCartOuter .AddToCart,
.ReadMoreOuter .ReadMore {
    background-color: #002d62;
    border-radius: 0px;
    padding: 5px;
    font-size: 12px;
    text-align: center;
    display: block;
    height: 32px;
    color: #fff;
    border: 0px solid black;
    opacity: 0.6;
}

.ReadMoreOuter .ReadMore {
    color: #fff;
    background-color: #555;
}

    .add-button-product-page .AddToCartOuter .AddToCart.Clickable,
    .AddToCartOuter .AddToCart.Clickable,
    .ReadMoreOuter .ReadMore.Clickable {
        transition: transform .3s, border .3s, background .3s, box-shadow .3s, opacity .3s, color .3s;
        opacity: 1;
        color: white;
    }

        .add-button-product-page .AddToCartOuter .AddToCart.Clickable:hover {
            opacity: 1;
            color: white;
        }

.AddToCartOuter .AddToCart img {
    vertical-align: middle;
}

.AddToCartOuter .AddToCart:hover,
.ReadMoreOuter .ReadMore:hover {
    border: 0px solid black;
    color: White;
}

.ReadMoreOuter, .ReadMore:hover {
    color: white;
}

    .add-button-product-page .AddToCartOuter .AddToCart.Clickable:hover,
    .AddToCartOuter .AddToCart.Clickable:hover,
    .ReadMoreOuter .ReadMore.Clickable:hover {
        box-shadow: inset 0 0 0 100px rgba(0,0,0,0.2);
    }

.AddToCartOuter .AddToCart.Spinner {
    background-color: white;
    vertical-align: middle;
    padding-top: 4px;
}

    .AddToCartOuter .AddToCart.Spinner:hover {
        background-color: white;
        color: #73AE2E;
    }

.AddToCartOuter .AddToCartQuantity {
    border-radius: 0px;
    position: relative;
    display: none;
    width: 100%;
}

.AddToCartOuter .AddToCartQuantityBox {
    border-spacing: 0px;
    display: table;
    border: 1px solid #002d62;
    width: 100%;
}

    .AddToCartOuter .AddToCartQuantityBox > div {
        display: table-cell;
    }

.AddToCartOuter .AddToCartQuantity .AddToCartQuantityMinus,
.AddToCartQuantity .AddToCartQuantityPlus {
    background-color: #002d62;
    vertical-align: middle;
    line-height: 22px;
    text-align: center;
    font-size: 22px;
    color: white;
    width: 30px;
}

.AddToCartOuter .AddToCartQuantity .AddToCartQuantityValue {
    text-align: center;
    line-height: 28px;
    font-size: 24px;
    display: inline-block;
    border: 1px solid White;
    /* height: 45px; Blívur ov høgt inni á innkeypskurvini */
    width: 40px;
}

    .AddToCartOuter .AddToCartQuantity .AddToCartQuantityValue img {
        padding-top: 2px;
    }

.AddToCartOuter .AddToCartQuantityInput {
    white-space: nowrap;
    text-align: center;
    position: absolute;
    display: none;
    top: -44px;
    left: 0px;
}

    .AddToCartOuter .AddToCartQuantityInput .Input {
        background-color: black;
        padding: 5px;
    }
/*
        .AddToCartOuter .AddToCartQuantityInput .Input input[type='text'],
        .AddToCartOuter .AddToCartQuantityInput .Input input[type='tel'] {
            background-color: white;
            vertical-align: top;
            text-align: center;
            font-size: 16px;
            padding: 0px;
            border: 1px solid black;
            color: #404040;
            height: 20px;
            margin: 0px 2px;
            width: 35px;
        }
    */
        .AddToCartOuter .AddToCartQuantityInput .Input input[type='text'],
        .AddToCartOuter .AddToCartQuantityInput .Input input[type='number'],
        .AddToCartOuter .AddToCartQuantityInput .Input input[type='tel'] {
            background-color: white;
            vertical-align: top;
            text-align: center;
            font-size: 16px;
            padding: 0px;
            border: 1px solid;
            color: #404040;
            margin: 0px 2px;
            width: 50px;
            border-radius: 6px;
            outline: none;
            font-weight: 700;
        }
        /*
        .AddToCartOuter .AddToCartQuantityInput .Input input[type='button'] {
            vertical-align: top;
            padding: 0px;
            cursor: pointer;
            margin: 0px;
            border: 0px;
            height: 20px;
            width: 25px;
            color: White;
        }
            */
        .AddToCartOuter .AddToCartQuantityInput .Input input[type='button'] {
            background-color: white;
            vertical-align: top;
            padding: 0px 5px;
            cursor: pointer;
            margin: 0px;
            font-weight: 600;
        }

    .AddToCartOuter .AddToCartQuantityInput .Arrow {
        background-repeat: no-repeat;
        background-image: url(../images/Arrow_Down_Black_17x10.png);
        height: 10px;
        background-position: 50% 0%;
    }

    .AddToCartOuter .AddToCartQuantityInput .Arrow2{
        position: absolute;
        width: 36px;
        top: 22px;
    }

    .AddToCartOuter .AddToCartQuantityInput .Arrow2 svg{
        fill: black;
        width: 100%;
        height: auto;
    }

/*
.AddToCartOuter .AddToCartQuantityValue:hover {
    border: 1px solid Black;
}
*/

/* Item details begins */
.ItemDetails .AddToCartDropdown {
    width: 135px;
}

.ItemDetails .AddToCartOuter {
    max-width: 135px;
    display: inline-block;
    width: 135px;
}

    .ItemDetails .AddToCartOuter .AddToCart {
    }

    .ItemDetails .AddToCartOuter .AddToCartQuantity .AddToCartQuantityMinus,
    .ItemDetails .AddToCartQuantity .AddToCartQuantityPlus {
        line-height: 30px;
    }

    .ItemDetails .AddToCartOuter .AddToCartQuantity .AddToCartQuantityValue {
        /*
        line-height: 45px;
        font-size: 45px;
        */
        width: 100%;
    }

    .ItemDetails .AddToCartOuter .AddToCart.Spinner {
        background-color: white;
        height: 47px;
        color: #73AE2E;
    }
/* Item details ends */

/* Price begins */
.UnitPriceInclVat {
    line-height: 14px;
    font-size: 14px;
    display: inline;
}

.PriceCurrent {
    line-height: 43px;
    font-size: 25px;
    display: block;
    color: black;
    font-weight: 700;
    text-align: center;
    margin-top: 10px;
    color: #3c3c3c !important;
}

.PriceMain {
    line-height: 17px;
    font-size: 14px;
    display: block;
    color: black;
    font-weight: 700;
    text-align: center;
    margin-top: 10px;
    color: #3c3c3c !important;
}

.PriceAlternative {
    text-decoration: line-through;
    line-height: 12px;
    font-size: 12px;
    color: #808282;
}
/* Price ends */

.AddToCartButtonColor {
  background: rgb(0, 45, 98);
}

.AddToCartButtonHover:hover {
  filter: brightness(1.25);
}

c-uom-select select.form-select {
    margin-bottom: 3px;
    border-radius: 0.5rem;
    line-height: 1rem;
    width: 5rem;
}

    c-uom-select select.form-select:disabled {
        /* background-color: var(--secondary-bg); */
        color: gray;
    }

c-add-to-cart {
    line-height: 0px;
}

    c-add-to-cart .PlusMinus {
        background-color: var(--secondary-bg);
        line-height: 1.25rem;
        text-align: center;
        font-size: 1.25rem;
        padding: 0.25rem 0rem;
        cursor: pointer;
        height: 100%;
        width: 30%;
    }

    c-add-to-cart .okButton {
        padding-right: 5px;
        color: var(--secondary-text);
    }

    c-add-to-cart .Minus {
        border-start-start-radius: 0.5rem;
        border-end-start-radius: 0.5rem;
    }

    c-add-to-cart .Plus {
        border-start-end-radius: 0.5rem;
        border-end-end-radius: 0.5rem;
    }

    c-add-to-cart input {
        background-color: var(--secondary-bg);
        font-size: 15px;
        outline: none;
        cursor: pointer;
        color: var(--secondary-text);
    }

    c-add-to-cart .inputQuantity {
        left: 0.5rem;
        top: -1.75rem;
    }

    c-add-to-cart .AddToCartButton,
    c-add-to-cart .AddToCartManager,
    c-add-to-cart .AddToCartReadMore {
        background-color: var(--secondary-bg);
        line-height: 1.6rem;
        height: 1.75rem;
        cursor: pointer;
        color: var(--secondary-text);
        width: 5rem;
    }

    c-add-to-cart .bi-cart {
        font-size: 1rem;
    }

.secondary-text-color {
    color: var(--secondary-text);
}

.loader {
    border: solid;
}